---
updatedAt: 2025-11-14T00:09:41.000Z
agentTools:
  projectIndex: https://developers.gateway.smallcase.com/llms.txt
---

# Create transaction: broker connect

This page will help you get started with Connect transaction.

> 📘 Note
>
> This request to generate transactionId through Gateway API must be done from the backend platform (not client interface). This is to ensure that the apiSecret & secret are not exposed

Example JSON Payload for the transaction would be

```json
{
    "intent": "CONNECT"
}
```

<br />

***

## Request parameters

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "connect-transaction",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://gatewayapi.smallcase.com/gateway"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "x-gateway-secret",
        "x-default": "gatewayDemo_secret"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "x-gateway-authtoken",
        "x-default": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzbWFsbGNhc2VBdXRoSWQiOiJzdXBwb3J0QHNtYWxsY2FzZS5jb20iLCJpYXQiOjE2MDI1NzAxOTR9.vNmILU5aLnHNYFKHLR7ikLCgKHJG598vGlJeu62kiks"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/{gatewayname}/transaction": {
      "post": {
        "summary": "Create transaction: broker connect",
        "description": "This page will help you get started with Connect transaction.",
        "operationId": "connect-transactionid",
        "parameters": [
          {
            "name": "gatewayname",
            "in": "path",
            "description": "unique name assigned to each gateway partner",
            "schema": {
              "type": "string",
              "default": "gatewaydemo"
            },
            "required": true
          },
          {
            "name": "x-gateway-secret",
            "in": "header",
            "description": "Required | apiSecret shared for authentication",
            "required": true,
            "schema": {
              "type": "string",
              "default": "gatewayDemo_secret"
            }
          },
          {
            "name": "x-gateway-authtoken",
            "in": "header",
            "description": "Required | JWT signed with shared secret & payload of guest user (note: connected user token does not make sense in broker connect flow)",
            "required": true,
            "schema": {
              "type": "string",
              "default": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWVzdCI6dHJ1ZSwiaWF0IjoxNjU0MzIxMDAwfQ.qiZ_w1yFYXhkdLMlqI28XJOXitfZwr64e2oL-lMEHZU"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "intent"
                ],
                "properties": {
                  "intent": {
                    "type": "string",
                    "description": "Required | Define the intent of transactionId",
                    "default": "CONNECT"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Success": {
                    "value": "{\n  \"success\": true,\n  \"errors\": null,\n  \"data\": {\n    \"transactionId\": \"TRX_6c7c0c3bdc9f40912fb421f51670445f\",\n    \"expireAt\": \"2022-01-01T00:00:00.000Z\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "errors": {},
                    "data": {
                      "type": "object",
                      "properties": {
                        "transactionId": {
                          "type": "string",
                          "example": "TRX_6c7c0c3bdc9f40912fb421f51670445f"
                        },
                        "expireAt": {
                          "type": "string",
                          "example": "2022-01-01T00:00:00.000Z"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```